#include <bits/stdc++.h>

using namespace std;

int main()
{
    int j,a1;
    float p1,porez=0.01;
    double maksimalno=0,temp=0;
    float por[200000] ={0};
    int a[200000] ={0};
    cin>>j;
    for(int i=0; i<j; i++)
        cin>>a[i]>>por[i];
    while(porez<100){
        for(int y=0; y<j; y++){
            p1=por[y];
            a1=a[y];
            if(porez<=p1){
            temp=temp+a1;
            }
        }
        porez=porez*100;
        porez=round(porez);
        porez=porez/100;
        temp=(temp/100)*porez;
        if(temp>maksimalno){
            maksimalno=temp;
        }
        temp=0;
        porez+=0.01;
    }
    printf("%0.4lf",maksimalno);
}